gnutls_hmac_init(3)

NAME
gnutls_hmac_init - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_hmac_init(gnutls_hmac_hd_t * dig, gnutls_digest_algorithm_t algorithm, const void * key, size_t keylen);

ARGUMENTS

gnutls_hmac_hd_t * dig
    is a gnutls_hmac_hd_t structure.

gnutls_digest_algorithm_t algorithm
    the HMAC algorithm to use

const void * key
    The key to be used for encryption

size_t keylen
    The length of the key

DESCRIPTION
This function will initialize an context that can be used to produce a Message Authentication Code (MAC) of data. This will effectively use the current crypto backend in use by gnutls or the cryptographic accelerator in use.

RETURNS
Zero or a negative value on error.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.